Bug 824678 - [abrt] rapid-photo-downloader-0.4.3-1.fc16: rapid.py:830:get_files_checked_for_download:KeyError: 14734
[abrt] rapid-photo-downloader-0.4.3-1.fc16: rapid.py:830:get_files_checked_fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:5d495e5318d72468e5462bc7b49...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 20:38 EDT by Daniel Scott
Modified: 2012-08-29 20:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Scott 2012-05-23 20:38:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/rapid-photo-downloader
comment:        Importing photos from /media
executable:     /usr/bin/rapid-photo-downloader
kernel:         3.3.4-3.fc16.x86_64
reason:         rapid.py:830:get_files_checked_for_download:KeyError: 14734
time:           Wed 23 May 2012 08:37:02 PM EDT
uid:            1001
username:       dan

backtrace:
:rapid.py:830:get_files_checked_for_download:KeyError: 14734
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 3836, in scan_results
:    self.start_download(scan_pid=scan_pid)
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2276, in start_download
:    files_by_scan_pid = self.thumbnails.get_files_checked_for_download(scan_pid)
:  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 830, in get_files_checked_for_download
:    for unique_id in self.process_index[scan_pid]:
:KeyError: 14734
:
:Local variables in innermost frame:
:files: {14734: []}
:scan_pid: 14734
:self: <ThumbnailDisplay object at 0x29b2f50 (GtkIconView at 0x2c0c230)>

smolt_data:
:
:
:General
:=================================
:UUID: 4b1f50f3-714e-4d08-8a1f-ada622d26e5f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4020.38
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 43
:Number of CPUs: 2
:CPU Speed: 2009
:System Memory: 3011
:System Swap: 5055
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:83:4163:33114) pci, pata_amd, STORAGE, K8N4-E or A8N-E Mainboard
:(4318:84:4163:33114) pci, sata_nv, STORAGE, A8N-E Mainboard
:(4318:87:4163:33089) pci, forcedeth, BRIDGE, K8N4-E or A8N-E Mainboard
:(4318:94:4163:33114) pci, None, MEMORY, A8N-E Mainboard
:(4318:82:4163:33114) pci, nForce2_smbus, SERIAL, K8N4-E or A8N-E Mainboard
:(4318:80:4163:33114) pci, None, PCI/ISA, K8N4-E or A8N-E Mainboard
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:90:4163:33114) pci, ohci_hcd, USB, K8N4-E or A8N-E Mainboard
:(4318:91:4163:33114) pci, ehci_hcd, USB, K8N4-E or A8N-E Mainboard
:(4523:17184:4163:33050) pci, skge, ETHERNET, Marvell 88E8001 Gigabit Ethernet Controller (Asus)
:(4172:32803:4163:32907) pci, firewire_ohci, FIREWIRE, K8N4-E Mainboard
:(4318:353:4163:33237) pci, nouveau, VIDEO, NV44 [GeForce 6200 TurboCache(TM)]
:(4245:12564:4163:33127) pci, sata_sil, RAID, SiI 3114 [SATALink/SATARaid] Serial ATA Controller
:(4318:85:4163:33114) pci, sata_nv, STORAGE, K8N4-E or A8N-E Mainboard
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:92:0:0) pci, None, PCI/PCI, CK804 PCI Bridge
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:89:4163:33066) pci, snd_intel8x0, MULTIMEDIA_AUDIO, K8N4-E or A8N-E Mainboard
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dscott-lv_root / ext4 4096 4096 13204218 10624739 9963235 3309568 3071201 3071201
:/dev/sdb2 /boot ext4 1024 1024 508745 410176 384576 128016 127785 127785
:/dev/mapper/Home-Home /home ext4 4096 4096 240368641 67298532 55089073 61054976 60128383 60128383
:
Comment 1 Fedora Update System 2012-06-26 16:56:33 EDT
rapid-photo-downloader-0.4.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.5-1.fc16
Comment 2 Fedora Update System 2012-06-26 16:56:50 EDT
rapid-photo-downloader-0.4.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.5-1.fc17
Comment 3 Fedora Update System 2012-06-27 23:39:59 EDT
Package rapid-photo-downloader-0.4.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rapid-photo-downloader-0.4.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10010/rapid-photo-downloader-0.4.5-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-29 20:53:47 EDT
rapid-photo-downloader-0.4.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-29 20:59:53 EDT
rapid-photo-downloader-0.4.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.